// import { AssistantConfig } from '@/module/assistant/index.ts';
import { assistantConfig } from '../config.ts';

import { ProviderManager, SiliconFlowProvider } from '@kevisual/ai-center';

const config = assistantConfig.getConfig();
console.log('aiConfig', config.ai);
const providerManager = new ProviderManager({
  provider: config.ai.provider,
  apiKey: config.ai.apiKey!,
  model: config.ai.model!,
});

const chatTest = async (text: string) => {
  const result = await providerManager.provider.chat([
    {
      role: 'user',
      content: text,
    },
  ]);
  console.log('result', result);
  return result.choices[0].message.content;
};

chatTest('你好').then((res) => {
console.log('chatTest', res);
});

// providerManager.provider.test().then((res) => {
//   console.log('test', res);
// });
// const siliconflow = providerManager.provider as any;
const siliconflow = new SiliconFlowProvider({
  apiKey: config.ai.apiKey!,
  model: config.ai.model!,
});
const main = async () => {
  const usage = await siliconflow.getUsageInfo();
  console.log(usage);
};

// main();
const test = async () => {
  const result = await siliconflow.chat([
    {
      role: 'user',
      content: '你好',
    },
  ]);
  console.log('result', result, 'result.choices[0].message.content', result.choices[0].message.content);
  return result.choices[0].message.content;
};
// test();
